unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls, BGRABitmap, BGRASVG;

type

  { TForm1 }

  TForm1 = class(TForm)
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    Function StringToStream(const AString: string): TStream;

  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  SVGcontent: String = '<?xml version="1.0" encoding="utf-8"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"	 width="32px" height="32px" viewBox="0 0 32 32" enable-background="new 0 0 32 32" xml:space="preserve"><g>	<path fill="#559955" d="M1,16C1,7.72,7.71,1,16,1c8.279,0,15,6.72,15,15c0,8.29-6.721,15-15,15C7.71,31,1,24.29,1,16z"/>	<polygon fill="#FFFFFF" points="12,8 12,24 23,15.77 	"/></g></svg>';

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
  Var
   bmp: TBGRABitmap;
   svg: TBGRASVG;
begin
   bmp:= TBGRABitmap.Create;
   try
    svg:= TBGRASVG.Create(StringToStream(SVGcontent));
    try
     if (Image1.Width > 0) and (Image1.Height > 0)
     then
       begin
         bmp.SetSize(Round(Image1.Width),Round(Image1.Height));
         svg.StretchDraw(bmp.Canvas2D, taCenter, tlCenter, 0,0,Image1.Width,Image1.Height);
         Image1.Picture.Bitmap.Assign(bmp);
       end;
    finally
     svg.Free;
    end;
   finally
    bmp.Free;
   end;
end;

Function TForm1.StringToStream(const AString: string): TStream;
begin
  Result := TStringStream.Create(AString);

end;

end.
